org.eclnt.jsfserver.util

## Class StyleUtil

- java.lang.Object
- - org.eclnt.jsfserver.util.StyleUtil

-     public class StyleUtil
      extends java.lang.Object

  Utilities in the area of style management.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkIfColorIsDark(java.lang.String color)`
    `static java.lang.String` | `getStyleBaseColor()` Access to style value @baseColor@
    `static java.lang.String` | `getStyleTextColorForBackground(java.lang.String background)` Returns text color which is adequate to background.
    `static java.lang.String` | `getStyleTextColorForDarkBackground()` Access to style value @textColorForDarkBackground@
    `static java.lang.String` | `getStyleTextColorForLightBackground()` Access to style value @textColorForLightBackground@

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleUtil

          public StyleUtil()

  - ### Method Detail

    - #### checkIfColorIsDark

          public static boolean checkIfColorIsDark(java.lang.String color)

    - #### getStyleBaseColor

          public static java.lang.String getStyleBaseColor()

      Access to style value @baseColor@

    - #### getStyleTextColorForLightBackground

          public static java.lang.String getStyleTextColorForLightBackground()

      Access to style value @textColorForLightBackground@

    - #### getStyleTextColorForDarkBackground

          public static java.lang.String getStyleTextColorForDarkBackground()

      Access to style value @textColorForDarkBackground@

    - #### getStyleTextColorForBackground

          public static java.lang.String getStyleTextColorForBackground(java.lang.String background)

      Returns text color which is adequate to background.

Copyright © CaptainCasa Gmbh. All Rights Reserved.